import { Link } from "@tanstack/react-router";
import { Button } from "./ui/button";
import useAuth from "@/hooks/useAuth";

const DynamicLoginButton = () => {
	const { logout, user } = useAuth();
	if (user) {
		return (
			<>
				<Button variant="secondary" className="hidden px-2 md:block">
					<Link to="/dashboard">Dashboard</Link>
				</Button>
				<Button className="ml-2 mr-2 hidden md:block" onClick={logout}>
					Logout
				</Button>
			</>
		);
	}

	return (
		<>
			<Button variant="secondary" className="hidden px-2 md:block">
				<Link to="/sign-in">Login</Link>
			</Button>
			<Button className="ml-2 mr-2 hidden md:block">
				<Link to="/sign-up">Get Started</Link>
			</Button>
		</>
	);
};

export default DynamicLoginButton;
