import { Header } from "@/components/layout/header";
import { Main } from "@/components/layout/main";
import { ProfileDropdown } from "@/components/profile-dropdown";
import { ThemeSwitch } from "@/components/theme-switch";
import { ShopAboutForm } from "./components/shop-about-form";
import { Search } from "@/components/search";
import ShopSidebar from "./components/shop-sidebar";
import { Separator } from "@/components/ui/separator";

export default function AboutPage() {
	return (
		<>
			{/* ===== Top Heading ===== */}
			<Header>
				<Search />

				<div className="ml-auto flex items-center space-x-4">
					<ThemeSwitch />
					<ProfileDropdown />
				</div>
			</Header>

			{/* ===== Main ===== */}
			<Main>
				<div className="mb-4">
					<h1 className="text-2xl font-bold tracking-tight">About Your Shop</h1>
					<p className="text-muted-foreground">
						Here&apos;s an overview info about your shop
					</p>
				</div>
				<Separator />
				<div className="my-4 flex flex-row gap-4">
					<ShopSidebar />

					<ShopAboutForm />
				</div>
			</Main>
		</>
	);
}
