import { createFileRoute, redirect } from "@tanstack/react-router";
import SignIn from "@/pages/auth/sign-in";
import { isLoggedIn } from "@/hooks/useAuth";

export const Route = createFileRoute("/(auth)/sign-in")({
	component: SignIn,
	beforeLoad: async() => {
		if(isLoggedIn()) {
			throw redirect({
				to:"/dashboard"
			})
		}
	}
});
