import jwt_decode from "jwt-decode";

export function isTokenValid(token: string | null): boolean {
	if (!token) return false;
	try {
		const decoded: { exp: number } = jwt_decode(token);
		const now = Date.now() / 1000;
		return decoded.exp > now;
	} catch (e) {
		console.warn("Invalid token format:", e);
		return false;
	}
}
